question

Upvotes
Accepted
81 2 6 7

Opendacs with DACS 7.9 libraries

I want to find when a new version of "Open Data Access Control System API" will be released that containts DACS 7.9 libraries.

We have an end user which is on 8.1 and is using very old DACS Libraries and we want to upgrade it:


opendacs8.1/rfa8.1.0.L1.linux.rrg/Libs/RHEL6_32_GCC444/Static]>strings libRFA.a |grep "dacs6.7"

/projects/dacs/dacs6.7/dacslib/src

/projects/dacs/dacs6.7/common/hdr

/projects/dacs/dacs6.7/dacslib/hdr

/projects/dacs/dacs6.7/dacslib/src/IPCFunc.c

/projects/dacs/dacs6.7/dacslib/src

/projects/dacs/dacs6.7/common/hdr

/projects/dacs/dacs6.7/dacslib/hdr

/projects/dacs/dacs6.7/dacslib/src/combineFunc.c

/projects/dacs/dacs6.7/dacslib/src

/projects/dacs/dacs6.7/common/hdr

/projects/dacs/dacs6.7/dacslib/src/compress.c

#productDACSopen-dacs
icon clock
10 |1500

Up to 2 attachments (including images) can be used with a maximum of 512.0 KiB each and 1.0 MiB total.

1 Answer

· Write an Answer
Upvotes
Accepted
82.7k 279 53 77

@ivan.amo

Thanks for reaching out to us.

You can use the latest version of OpenDACS API and RFA C++.

The latest version of OpenDACS API is 8.3 which is compatible with RFA C++ 8.2 and it uses DACS LIB version 7.7.

2.1 Release Purpose

    Upgrade Refinitiv Real-Time Data Access Control System LIB to 7.7.F4
...

5.2 Software Requirements
... 
      - RFA8.2 C++ version
      - Refinitiv Real-Time Data Access Control System 7.2 or higher

According to this information, it works with DACS 7.9.

You can download the OpenDACS API and RFA C++ from the Software Download.

  • OpenDACS APIs are in the Product Family: MDS - Manageability and Product: Refinitiv Real-Time Open DACS Permission Server API SDK.
  • RFA C++ APIs are in the Product Family: MDS - API and Product: Robust Foundation API (RFA) - C++.

Otherwise, you need to contact the API support team (Refinitiv Developer Connect) directly via Contact Premium Support and request the new version of OpenDACS API and RFA that use DACS LIB 7.9. Then, the support team will forward the request to the product team for further consideration. You may need to explain which features in DACS LIB 7.9 that you would like to use and those features are not available in DACS LIB 7.7.

However, as mentioned in the document, OpenDACS API 8.3 supports DACS 7.2 or higher.

I hope that this information is of help.

icon clock
10 |1500

Up to 2 attachments (including images) can be used with a maximum of 512.0 KiB each and 1.0 MiB total.

Write an Answer

Hint: Notify or tag a user in this post by typing @username.

Up to 2 attachments (including images) can be used with a maximum of 512.0 KiB each and 1.0 MiB total.